読者です 読者をやめる 読者になる 読者になる

長生村本郷Engineers'Blog

千葉県長生村本郷育ちのエンジニアが書いているブログ

Python エラー対処: PowmInsecureWarning: Not using mpz_powm_sec. You should rebuild using libgmp >= 5 to avoid timing attack vulnerability. _warn("Not using mpz_powm_sec. You should rebuild using libgmp >= 5 to avoid timing attack vulnerability.", PowmInsec

Python

概要

pysftp利用としたらgmp5以上にしてくれと怒られている。

pysftpを利用するのに必要なparamiko、
そのparamikoに必要なpycryptoがエラー出力している。

ToDo

gmp5 インストール
python リビルド
pycrypto アンインストール&インストール